Bug 1597320 - [Tracking] 'iSCSI Login negotiation failed' messages in logs while draining pods from one node to another
Summary: [Tracking] 'iSCSI Login negotiation failed' messages in logs while draining p...
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-block
Version: cns-3.7
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: ---
Assignee: Prasanna Kumar Kalever
QA Contact: Rahul Hinduja
URL:
Whiteboard:
: 1625824 1654409 (view as bug list)
Depends On: 1624670 1624678
Blocks: 1595763 1568868 1622458 1629847 OCS-3.11.1-devel-triage-done 1642792
TreeView+ depends on / blocked
 
Reported: 2018-07-02 14:55 UTC by Neha Berry
Modified: 2019-12-25 02:21 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Few paths are missing for iscsi mpath device. This is because, either CHAP security values mismatch or iscsi CSG: stage 0 has been skipped. Both will result in iSCSI login negotiation to fail. To workaround this issue, delete the app pod which will trigger the restart of the pod. The pod start will then update the credentials and relogins.
Clone Of: 1595763
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1595763 'high' 'ASSIGNED' '"iSCSI Login negotiation failed" messages in logs while draining pods from one node to another (depends on gluster-bloc... 2019-12-06 10:58:11 UTC

Internal Links: 1595763

Comment 2 Jan Safranek 2018-07-03 16:47:07 UTC
Unfortunately, OpenShift node does not log iscsiadm commands it runs so I can't check if it tried an authenticated login or not. I can prepare a build with them if this bug is easy enough to reproduce.

In the code I can't see a hole that would allow OpenShift miss authentication in a small fraction of targets.

Comment 40 Bipin Kunal 2018-09-24 10:27:47 UTC
*** Bug 1625824 has been marked as a duplicate of this bug. ***

Comment 42 Prasanna Kumar Kalever 2019-02-07 08:31:54 UTC
*** Bug 1654409 has been marked as a duplicate of this bug. ***

Comment 48 Yaniv Kaul 2019-09-15 14:51:15 UTC
What's the next step here?

Comment 49 Xiubo Li 2019-09-15 23:50:55 UTC
(In reply to Yaniv Kaul from comment #48)
> What's the next step here?

This bug has been fixed in open-iscsi utils, more details could be found in the depending bugzillas [1] and [2].

The fixing PR in open-iscsi utils is [3] and has beed released in iscsi-initiator-utils-6.2.0.874-13.el7.

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1624670
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1624678
[3]: https://github.com/open-iscsi/open-iscsi/pull/168


Thanks,


Note You need to log in before you can comment on or make changes to this bug.